import { EditorBase } from "./Views/Editor/EditorBase.js";
export interface IEditorType {
    new (...args: any[]): EditorBase;
}
export interface IEditorTypeDictionary {
    [key: string]: IEditorType;
}
export declare class FeatureBlend {
    private static m_editorTypes;
    private static m_errorTooltipSkin;
    static get errorTooltipSkin(): string;
    static set errorTooltipSkin(value: string);
    static addEditorType(id: string, type: IEditorType): void;
    static getEditorType(id: string): IEditorType;
    static removeEditorType(id: string): void;
}
